/**
 * First we will load all of this project's JavaScript dependencies which
 * includes Vue and other libraries. It is a great starting point when
 * building robust, powerful web applications using Vue and Laravel.
 */
//Bootstrap
require('./bootstrap');

//Dependencies
const moment = require("moment");

require('./date');

//Sites
require('./sites/menuplan');

//Webapp hamburger menu
import { toggleMenu } from './navmenu/menu';

// require("./calendar/calendar");

// import { nextMonth, previousMonth, countDays, createCalendar, months, month, currentMonth, days, calendar } from "./calendar/calendar";

// window.Vue = require('vue');

import { generateCalendar } from "./calendar/calendar";

// createCalendar();
//
// document.getElementById("month-next").onclick = nextMonth;
// document.getElementById("month-previous").onclick = previousMonth;

/**
 * The following block of code may be used to automatically register your
 * Vue components. It will recursively scan this directory for the Vue
 * components and automatically register them with their "basename".
 *
 * Eg. ./components/ExampleComponent.vue -> <example-component></example-component>
 */

// const files = require.context('./', true, /\.vue$/i)
// files.keys().map(key => Vue.component(key.split('/').pop().split('.')[0], files(key).default))

// Vue.component('example-component', require('./components/ExampleComponent.vue').default);

/**
 * Next, we will create a fresh Vue application instance and attach it to
 * the page. Then, you may begin adding components to this application
 * or customize the JavaScript scaffolding to fit your unique needs.
 */

// const app = new Vue({
//     el: '#app',
// });

let weekOffset = 0;

if(document.getElementById("calendar")) {
    generateCalendar();

    document.getElementById("week-previous").onclick = function () {
        weekOffset--;
        generateCalendar(weekOffset);
    }

    document.getElementById("week-next").onclick = function () {
        weekOffset++;
        generateCalendar(weekOffset);
    }
}

if(document.getElementById("toggle"))
    document.getElementById("toggle").onclick = function () {
        toggleMenu('menu');
    };
