@extends("admin.layout.base")
@extends("admin.layout.header")

@section("title")
    Kontakt - Rediger
@endsection

@section("path")
    <a href="{{ route('contacts.edit', ['contact' => $contact]) }}" class="text-white">Rediger Kontakt</a> /
@endsection

@section("content")
    <h1>Rediger Kontakt:</h1>
    <form method="post" action="{{ route("contacts.update", ['contact' => $contact]) }}">
        @csrf
        @method("put")
        <label for="name_first">Fornavn:</label>
        <input type="text" name="name_first" id="name_first" placeholder="Fornavn" value="{{ $contact->name_first }}" required>
        <label for="name_last">Efternavn:</label>
        <input type="text" name="name_last" id="name_last" placeholder="Efternavn" value="{{ $contact->name_last }}" required>
        <label for="email">Email:</label>
        <input type="email" name="email" id="email" placeholder="x@y.z" value="{{ $contact->email }}" required>
        <label for="tel">Telefon nr:</label>
        <input type="tel" name="phone" id="tel" placeholder="12345678" value="{{ $contact->phone }}" pattern="[0-9]{2}[0-9]{2}[0-9]{2}[0-9]{2}" required>
        <input type="submit" class="btn btn-dark text-white" value="Opret">
    </form>
@endsection
