<!DOCTYPE html>
<html lang="en">
<head>
    <title>@yield("title")</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <link type="text/css" rel="stylesheet" href="{{ mix("/css/admin.css") }}">
</head>
<body>
@yield("header")
<main class="row">
    <div class="col nav" style="background-color: #333333;">
        <div class="segment">
            <h3 class="text-white">Brugere</h3>
            <div class="row">
                <a href="{{ route('users.index') }}" class="text-white"><img src="{{ asset('/images/icons/eye.svg') }}" alt="Read">Vis Brugere</a>
            </div>
            <div class="row">
                <a href="{{ route('users.create') }}" class="text-white"><img src="{{ asset('/images/icons/plus.svg') }}" alt="Create">Opret Bruger</a>
            </div>
        </div>
        <div class="segment">
            <h3 class="text-white">Menuplan</h3>
            <div class="row">
                <a href="{{ route("menu-plans.index") }}" class="text-white"><img src="{{ asset('/images/icons/eye.svg') }}" alt="Read">Vis Menuplan</a>
            </div>
            <div class="row">
                <a href="{{ route("menu-plans.create") }}" class="text-white"><img src="{{ asset('/images/icons/plus.svg') }}" alt="Create">Opret Menuplan</a>
            </div>
        </div>
        <div class="segment">
            <h3 class="text-white">Aktiviteter</h3>
            <div class="row">
                <a href="{{ route("events.index") }}" class="text-white"><img src="{{ asset('/images/icons/eye.svg') }}" alt="Read">Vis Aktiviteter</a>
            </div>
            <div class="row">
                <a href="{{ route("events.create") }}" class="text-white"><img src="{{ asset('/images/icons/plus.svg') }}" alt="Create">Opret Aktivitet</a>
            </div>
        </div>
        <div class="segment">
            <h3 class="text-white">Vaskemaskiner</h3>
            <div class="row">
                <a href="{{ route("washing-machines.index") }}" class="text-white"><img src="{{ asset('/images/icons/eye.svg') }}" alt="Read">Vis Vaskemaskiner</a>
            </div>
            <div class="row">
                <a href="{{ route("washing-reservations.index") }}" class="text-white"><img src="{{ asset('/images/icons/eye.svg') }}" alt="Read">Vis Vaskemaskine Reservationer</a>
            </div>
            <div class="row">
                <a href="{{ route('washing-machines.create') }}" class="text-white"><img src="{{ asset('/images/icons/plus.svg') }}" alt="Create">Opret Vaskemaskine</a>
            </div>
        </div>
        <div class="segment">
            <h3 class="text-white">Kontakter</h3>
            <div class="row">
                <a href="{{ route("contacts.index") }}" class="text-white"><img src="{{ asset('/images/icons/eye.svg') }}" alt="Read">Vis Kontakter</a>
            </div>
            <div class="row">
                <a href="{{ route("contacts.create") }}" class="text-white"><img src="{{ asset('/images/icons/plus.svg') }}" alt="Create">Opret Kontakt</a>
            </div>
        </div>
        <div class="segment">
            <h3 class="text-white">Personale</h3>
            <div class="row">
                <a href="{{ route('staff.index') }}" class="text-white"><img src="{{ asset('/images/icons/eye.svg') }}" alt="Read">Vis Personale</a>
            </div>
            <div class="row">
                <a href="{{ route('staff.create') }}" class="text-white"><img src="{{ asset('/images/icons/plus.svg') }}" alt="Create">Opret Personal</a>
            </div>
        </div>
        <div class="segment">
            <h3 class="text-white">Feedback</h3>
            <div class="row">
                <a href="{{ route('feedbacks.index') }}" class="text-white"><img src="{{ asset('/images/icons/eye.svg') }}" alt="Read">Vis Feedback</a>
            </div>
        </div>
    </div>
    <div class="w-85" style="background-color: #cccccc;">
        <div class="directorypath text-white">
            <a href="{{ route('root.index') }}" class="text-white">Home</a> / @yield("path")
        </div>
        <div class="content">
            @yield("content")
        </div>
    </div>
</main>

<script src="{{ mix("/js/app.js") }}"></script>
@yield("scripts")
</body>
</html>
