@extends("admin.layout.base")
@extends("admin.layout.header")

@section("title")
    Bruger - Rediger
@endsection

@section("path")
    <a href="{{ route('users.edit', ['user' => $user]) }}" class="text-white">Rediger Bruger</a> /
@endsection

@section("content")
    <h1>Rediger Bruger:</h1>
    <form method="post" action="{{ route("users.update", ['user' => $user]) }}">
        @csrf
        @method("put")
        <label for="name_first">Fornavn:</label>
            <input type="text" name="name_first" id="name_first" value="{{ $user->name_first }}" required>
        <label for="name_last">Efternavn:</label>
            <input type="text" name="name_last" id="name_last" value="{{ $user->name_last }}" required>
        <label for="email">Email:</label>
            <input type="email" name="email" id="email" value="{{ $user->name_email }}" required>
        <label for="password1">Password:</label>
            <input type="password" name="password" id="password1" value="" required>
        <label for="password2">Confirm Password:</label>
            <input type="password" id="password2" value="" required>
        <label for="tel">Telefon nr:</label>
            <input type="tel" name="phone" id="tel" value="{{ $user->phone }}" required>
        <label for="role">Rolle:</label>
            <select name="role" id="role" class="mb-2" required>
                <option value="admin">Admin</option>
                <option value="staff">Personale</option>
                <option value="resident">Beboer</option>
            </select>
        <input type="submit" class="btn btn-dark text-white" value="Rediger">
    </form>
@endsection
